"use client";
import { l as languageMap } from "../core-Bx4aofUK.js";
import { k as getClosestToken } from "../local-BurjD0OI.js";
import { c as clikeComment, d as markupComment, h as htmlAutoIndent, e as autoCloseTags, v as voidTags, x as xmlOpeningTag } from "../index-BD4haxF_.js";
languageMap.php = {
  comments: clikeComment,
  getComments: (editor, position) => {
    if (getClosestToken(editor, ".php", 0, 0, position)) return clikeComment;
    return markupComment;
  },
  autoIndent: htmlAutoIndent(xmlOpeningTag, voidTags),
  autoCloseTags: ([start, end], value, editor) => {
    return !value.includes("<?") || getClosestToken(editor, ".php", 0, 0, start) ? "" : autoCloseTags(editor, start, end, value, xmlOpeningTag, voidTags);
  }
};
//# sourceMappingURL=php.js.map
